package
{
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	
	public class Main extends Sprite
	{
		
		public function Main():void
		{
			if (stage)
				init();
			else
				addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			stage.scaleMode = StageScaleMode.NO_SCALE;//设置舞台的缩放模式和对齐方式
			stage.align = StageAlign.TOP_LEFT;
			
			//IFlash.setSize(960, 640);//2D项目中设置场景尺寸
			setWindowFullSize(); //3D项目中设置场景尺寸时使用，如 Starling项目
			
			IFlash.setOrientationEx(1); //是否为横屏模式
			IFlash.setBgcolor("#000000"); //背景色
			IFlash.showInfo(false); //是否显示帧率
		}
		
		/**
		 * 设置3D模式下的舞台模式
		 *
		 * 获取窗口的宽度与高度，设置到场景尺寸
		 *
		 */
		private function setWindowFullSize():void
		{
			var fullWidth:int = 0;
			var fullHeight:int = 0;
			__JS__('fullWidth = Laya.window.innerWidth;');
			__JS__('fullHeight = Laya.window.innerHeight;');
			(fullWidth > 0) && IFlash.setSize(fullWidth, fullHeight);
		}
	}

}